<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='8' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
      {
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php  include ('head.php'); ?>
<script type="text/javascript">
  $(document).ready(function(){
    $("#sucursal_destino").change(function(){
      $.get("php_traslados/bodegas.php","sucursal_destino="+$("#sucursal_destino").val(), function(data){
        $("#bodega_destino").html(data);
        console.log(data);
      });
    });
  });
</script>
</head>
<body>
<?php
$inicio="";
$M_inventario="active";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$m_familias="";
$m_articulos="";
$m_combos="";
$m_servicios="";
$m_productos="";
$m_tarifas="";
$m_bodegas="";
$m_traslados="active";
$m_ajustes="";
$m_etiquetas="";
$m_ubicacion="";
$m_marca="";
include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_inventario.php');?>           
    </div> <!-- /span6 -->      
    <div class="col-md-10"> 
        <div id="resultado"></div>

        <div class="widget stacked">
            <div class="widget-header">
            </div>
            <form name="form_registrar" id="form_registrar" action="" method="post" onsubmit="return checkSubmit();">
                <div class="widget-content">
                    <?php
                        $can=mysqli_query($con,"SELECT MAX(tra_n_traslado)as tra_n_traslado FROM traslado") or die(mysqli_error($con)); 
                        $dato=mysqli_fetch_array($can); 
                        $tra_n_traslado=$dato['tra_n_traslado']+1;
                    ?> 
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Codigo</label>
                            <input type="text" name="tra_n_traslado" value="<?php echo $tra_n_traslado;?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Fecha</label>
                            <input type="text" name="fecha" value="<?php echo date('Y-m-d');?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Hora</label>
                            <input type="text" name="hora" value="<?php echo date('H:i:s');?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Usuario</label>
                            <input type="text" name="usuario" value="<?php echo $usu_nombre ?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-6">
                        <div class="form-group">
                            <label>Sucursal Origen</label>
                            <input type="hidden" name="tra_sucursal_o" value="<?php echo $sucursal; ?>" class="form-control" readonly>
                            <input type="text" name="tra_sucursal" value="<?php echo $suc_nombre; ?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-6">
                        <div class="form-group">
                            <label>Sucursal Destino</label>
                            <select id="sucursal_destino" class="form-control" name="sucursal_destino" required>
                                <option value="">-- SELECCIONE --</option>
                                <?php
                                    $datos = mysqli_query($con,"SELECT * FROM sucursal where empresa='$empresa' and suc_id<>'$sucursal'") ;
                                    while( $fila = mysqli_fetch_array( $datos ) )
                                    {
                                       echo' <option value="'.$fila['suc_id'].'">'.$fila['suc_nombre'].'</option>';
                                    }
                                 ?>
                            </select>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-6" style="display: none">
                        <div class="form-group">
                            <label>Bodega Origen</label>
                            <input type="hidden" name="tra_bodega_o" value="<?php echo $bod_id; ?>" class="form-control" readonly>
                            <input type="text" name="tra_bodega" value="<?php echo $bod_nombre; ?>" class="form-control" readonly>             
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-6"  style="display: none" >
                        <div class="form-group" >
                            <label>Bodega Destino</label>
                            <select id="bodega_destino" class="form-control" name="bodega_destino" required>
                            </select>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-8"></div>
                    <div class="col-md-4">
                        </br>
                        <div class="btn-group btn-group-justified" align="right">
                            <a href="#myModal" class="btn btn-warning" data-toggle="modal" >
                            <i class="btn-icon-only icon-plus"></i>Agregar Articulos</a>
                        </div></br>
                    </div>

                    <div class="table-responsive">
                        <div id="tabla"></div>
                    </div> <!-- /.table-responsive -->
                    <div class="modal-footer">
                        <a type="button" href="I_traslado.php" class="btn btn-default" data-dismiss="modal">Cancelar</a>
                        <button id="btn_registrar" type="submit" class="btn btn-success">Registrar</button>
                    </div>
                    <?php include ('include/pie_de_pagina.php'); ?>
                </div> <!-- /.widget-content -->
            </form> <!-- /.form -->
        </div> <!-- /row -->
    </div> <!-- /main -->
</div>   
<?php
    include ('php_buscador/buscador_ajuste.php');
?>
<script>
function loadTabla(){
    $('#editModal').modal('hide');
    $.get("./php_traslados/tabla.php","",function(data){
    $("#tabla").html(data);
    })
}
loadTabla();

$(document).ready(function(){
  load(1);
});

function load(page){
    var q= $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_traslados.php?action=ajax&page='+page+'&q='+q,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
    success:function(data){
      $(".outer_div").html(data).fadeIn('slow');
      $('#loader').html('');
      
    }
  })
}

function agregar (art_id_bod)
{
    var art_id=document.getElementById('art_id_'+art_id_bod).value;
    var art_referencia=document.getElementById('art_referencia'+art_id_bod).value;
    var art_cantidad=document.getElementById('art_cantidad'+art_id_bod).value;
    var nombre=document.getElementById('nombre_'+art_id_bod).value;
    var precio_venta=document.getElementById('precio_venta_'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad_'+art_id_bod).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_referencia).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_traslados/tabla.php",
        data:  "art_id_bod="+art_id_bod+"&art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&nombre="+nombre,

    beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
    success: function(datos){
    $("#tabla").html(datos);
    }
    });
  }

$("#form_registrar").submit(function( event ) {
$('#btn_registrar').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_traslados/registrar_traslado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado").html(datos);
        $('#btn_registrar').attr("disabled", false);
        loadTabla();
      }
  });
  event.preventDefault();
})
</script>
<?php
    include ('php_caja/caja_abrir.php');
    include ('script.php');
?>
  </body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>